Subject: Re: authentication in cygwin
From: Christoffer Walther <[email-masked]>
To: Pavel Tsekov <[email-masked]>
Cc: [email-masked]
Date: Fri, 04 Oct 2002 13:30:34 +0200

Hi and thanks for the reply. I have the same problem with
sshd, 'permission denied', it would be great if I could just
edit the /etc/passwd file manually and the sshd would
look up the password there, can it be done this way?

Christoffer

Pavel Tsekov wrote:
> 
> On Fri, 4 Oct 2002, Christoffer Walther wrote:
> 
> > Hello, I am used to a UNIX environment, I want to setup an ftp server on
> > my windows 2000 ws. However, I get 'login incorrect' when I attempt to
> > log in to the ftp server. There seems to be no encrypted passwords in /etc/passwd,
> > exactly how do cygwin/ftpd do authentication? I added the test user in the windows
> > user area as well, and did a mkpasswd -l > /etc/passwd. I also tried to changed
> > the password using passwd but /etc/passwd is not affected at all.
> 
> Have you read the file /usr/doc/Cygwin/inetutils-*.README ? It contains
> important information on setting up an ftp server.
> 
> > PS, the install program is terrible, whatever I do it seems to install everything from
> > scratch whenever I just want to add a new package. Cygwin is interesting but seems
> > very heavy to get to work proberly.
> 
> Then you're doing something wrong. Please, describe what steps do you take
> in the setup wizard, so that it installs everything from scratch.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/